function love.load()
	random = love.math.random
	boids = require "boids"
	W,H = love.graphics.getWidth(), love.graphics.getHeight()
	field = {}
	cursor = {x=0,y=0,press = false}
	for i = 1, 500 do
		table.insert(field,boids:new(random(W),random(H),1))
	end
end

function love.update(dt)
	cursor.x,cursor.y = love.mouse.getPosition()
	if love.mouse.isDown(1) then cursor.press = true else cursor.press = false end
	for i,boid in ipairs(field) do
		boid:update(i,dt,field)
	end
end

function love.draw()
	for _,boid in ipairs(field) do
		boid:draw()
	end
end

function dist(x1,y1,x2,y2)
	return math.sqrt((x1-x2)^2+(y1-y2)^2)
end